#include <cstdio>
#include <vector>
#include <algorithm>

#define MOD (1000000007)
#define EPS (1e-9)
#define INF (2117117117)
#define LLINF (2117117117117117117LL)
#define mp(a, b) make_pair(a, b)
#define pb(a) push_back(a)
#define sqr(a) ((a) * (a))
#define sz(a) ((int) (a).size())

typedef unsigned int uint;
typedef long long llong;
typedef long double ldouble;
typedef unsigned long long ullong;

using namespace std;

#include "grader.h"

vector<pair<int, pair<int, int> > > resmem;
int my_compare(int i, int j)
{
    resmem.pb(mp(compare(i, j), mp(i, j)));
    return resmem.back().first;
}

int identify_set(int n, int k, llong **sets)
{
    for (int i = 0; i < 540001; i++)
        compare(0, 0);
    return 0;
}
